Package: org.grails.events

## [Groovy] Class ClosureEventConsumer<T>

- org.grails.events.ClosureEventConsumer

- All Implemented Interfaces and Traits:
    reactor.fn.Consumer

      @groovy.transform.CompileStatic
      class ClosureEventConsumer
      extends java.lang.Object

  Had to fork this class as Reactor 2.0 M2 Groovy support is compiled with Java 8

  Authors:
    Jon Brisbin
    Stephane Maldini
    Graeme Rocher

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `ClosureEventConsumer.ReplyDecorator` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `groovy.lang.Closure` | `callback`
    `boolean` | `eventArg`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureEventConsumer (groovy.lang.Closure cl)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `accept(reactor.bus.Event<T> arg)`
    `void` | `cancel()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final groovy.lang.Closure callback

    - #### final boolean eventArg

  - ### Constructor Detail

    - #### ClosureEventConsumer(groovy.lang.Closure cl)

  - ### Method Detail

    - #### @java.lang.Override void accept(reactor.bus.Event<T> arg)

    - #### void cancel()